package dk.nsp.backgroundjob.ws;

import dk.nsp.backgroundjob.service.StackedOperationsService;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public abstract class AbstractOperationsStatusServlet extends AbstractServlet {

    @Override
    public void doGet(HttpServletRequest request, HttpServletResponse response) {
        int status = getOperationsService().latestRunSuccessful() ? 200 : 500;
        response.setStatus(status);
    }

    protected abstract StackedOperationsService getOperationsService();
}
