package dk.nsp.xdscleanup.common.model;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

public class DocumentEntry extends RegistryObject {
    private String uniqueId;

    public DocumentEntry(long entryId, String entryUuid, String uniqueId) {
        super(entryId, entryUuid);
        this.uniqueId = uniqueId;
    }

    public String getUniqueId() {
        return uniqueId;
    }

    @Override
    public String toString() {
        return new StringBuilder("uniqueId="+ uniqueId).toString();
    }
}
