package dk.nsp.xdscleanup.deprecated.ws.cleanup;

import dk.nsp.backgroundjob.service.StackedOperationsService;
import dk.nsp.backgroundjob.ws.AbstractOperationsServlet;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;

import javax.servlet.annotation.WebServlet;

@WebServlet(name="RegistryDeprecatedDocumentCleanupServlet", urlPatterns={"/deprecated-document-entries/start"})
public class RegistryDeprecatedDocumentCleanupServlet extends AbstractOperationsServlet {
    @Autowired
    @Qualifier("registryDeprecatedDocumentCleanupService")
    private StackedOperationsService registryDeprecatedDocumentCleanupService;

    @Override
    protected StackedOperationsService getOperationsService() {
        return registryDeprecatedDocumentCleanupService;
    }
}
