package dk.nsp.xdscleanup.deprecated.ws.status;

import dk.nsp.backgroundjob.service.StackedOperationsService;
import dk.nsp.backgroundjob.ws.AbstractOperationsStatusServlet;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;

import javax.servlet.annotation.WebServlet;

@WebServlet(name="RegistryDeprecatedDocumentCleanupStatusServlet", urlPatterns={"/deprecated-document-entries/status"})
public class RegistryDeprecatedDocumentCleanupStatusServlet extends AbstractOperationsStatusServlet {
    @Autowired
    @Qualifier("registryDeprecatedDocumentCleanupService")
    private StackedOperationsService registryDeprecatedDocumentCleanupService;

    @Override
    protected StackedOperationsService getOperationsService() {
        return registryDeprecatedDocumentCleanupService;
    }
}
