package dk.nsp.xdscleanup.deprecated;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.fail;

public class TestUtils {

    public static <T extends Throwable> T assertThrows(Class<T> expectedThrowable, ThrowingRunnable runnable) {
        try {
            runnable.run();
        } catch (Throwable t) {
            assertEquals(expectedThrowable, t.getClass());
            return (T) t;
        }
        fail("No exception thrown");
        throw new RuntimeException(); // Never happens
    }

    public interface ThrowingRunnable {
        void run() throws Throwable;
    }
}
