package dk.nsp.xdscleanup.ws.cleanup;

import dk.nsp.backgroundjob.service.StackedOperationsService;
import dk.nsp.backgroundjob.ws.AbstractOperationsServlet;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;

import javax.servlet.annotation.WebServlet;

@WebServlet(name="RegistryStatus90CleanupServlet", urlPatterns={"/registry-status90-cleanup/start"})
public class RegistryStatus90CleanupServlet extends AbstractOperationsServlet {
    @Autowired
    @Qualifier("registryStatus90CleanupService")
    private StackedOperationsService registryStatus90CleanupService;

    @Override
    protected StackedOperationsService getOperationsService() {
        return registryStatus90CleanupService;
    }
}
