package dk.nsp.xdscleanup.ws.cleanup;

import dk.nsp.backgroundjob.service.StackedOperationsService;
import dk.nsp.backgroundjob.ws.AbstractOperationsServlet;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;

import javax.servlet.annotation.WebServlet;

@WebServlet(name="RepositoryCleanupServlet", urlPatterns={"/repository-cleanup/start"})
public class RepositoryCleanupServlet extends AbstractOperationsServlet {
    @Autowired
    @Qualifier("repositoryCleanupService")
    private StackedOperationsService repositoryCleanupService;

    @Override
    protected StackedOperationsService getOperationsService() {
        return repositoryCleanupService;
    }
}
