package dk.nsp.xdscleanup.ws.status;

import dk.nsp.backgroundjob.service.StackedOperationsService;
import dk.nsp.backgroundjob.ws.AbstractOperationsStatusServlet;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;

import javax.servlet.annotation.WebServlet;

@WebServlet(name="RepositoryCleanupStatusServlet", urlPatterns={"/repository-cleanup/status"})
public class RepositoryCleanupStatusServlet extends AbstractOperationsStatusServlet {
    @Autowired
    @Qualifier("repositoryCleanupService")
    private StackedOperationsService repositoryCleanupService;

    @Override
    protected StackedOperationsService getOperationsService() {
        return repositoryCleanupService;
    }
}
