package dk.nsp.xdscleanup.util;

import dk.nsp.backgroundjob.health.HealthIndication;
import org.junit.Assert;
import org.junit.Test;

public class VersionIndicationTest {

	
	@Test
	public void testVersionIndication() {
		// Given
		VersionIndication subject = new VersionIndication("123");

		// When
		HealthIndication versionIndication = subject.getHealthInfo();
		
		// Then
		Assert.assertNotNull(versionIndication);
		Assert.assertEquals(200, versionIndication.getStatus());
		Assert.assertEquals("\"version\": \"123\"", versionIndication.getText());
	}
}
