package dk.nsp.xdscleanup.nxrg.setup;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.jdbc.datasource.embedded.EmbeddedDatabase;
import org.springframework.jdbc.datasource.embedded.EmbeddedDatabaseBuilder;
import org.springframework.jdbc.datasource.embedded.EmbeddedDatabaseType;

@Configuration
public class EmbeddedDatabaseSetup {

    @Bean
    public EmbeddedDatabase getDataSource() {

        return new EmbeddedDatabaseBuilder()
                .setType(EmbeddedDatabaseType.H2)
                .setName("nxrg;MODE=MySQL")
                .addScripts("09_52_nxrg.sql", "53_db_optimization_on_deletionjob_h2.sql", "53_57_nxrg.sql", "sdm_xdscleanup_status_90.sql")
                .build();
    }

}
