package dk.nsp.xdscleanup.openxds.setup;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.jdbc.datasource.embedded.EmbeddedDatabase;
import org.springframework.jdbc.datasource.embedded.EmbeddedDatabaseBuilder;
import org.springframework.jdbc.datasource.embedded.EmbeddedDatabaseType;

@Configuration
public class EmbeddedDatabaseSetup {

	@Bean
	public EmbeddedDatabase getDataSource() {

		return new EmbeddedDatabaseBuilder()
				.setType(EmbeddedDatabaseType.H2)
				.setName("nxrg;MODE=MySQL")
                .addScripts("openxds.sql")
				.build();
	}
}	
