package dk.nsp.xdscleanup.common.model.xds;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

public class TypeCode {
    private String codeName;
    private String codeScheme;

    public TypeCode(String codeName, String codeScheme) {
        this.codeName = codeName;
        this.codeScheme = codeScheme;
    }

    public String getCodeName() {
        return codeName;
    }

    public String getCodeScheme() {
        return codeScheme;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.SHORT_PREFIX_STYLE)
                .append("codeName", codeName)
                .append("codeScheme", codeScheme)
                .toString();
    }
}
