package dk.nsp.xdscleanup.deprecated.setup;

import dk.nsp.backgroundjob.health.HealthIndicator;
import dk.nsp.xdscleanup.deprecated.util.VersionIndication;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.PropertySource;

@Configuration
@PropertySource("git.properties")
public class VersionSetup {

	@Value("${git.commit.id}")
	private String version;

	@Bean
	public HealthIndicator versionIndicator() {
		return new VersionIndication(version);
	}
}
