package dk.nsp.xdscleanup.ws.cleanup;

import dk.nsp.backgroundjob.service.StackedOperationsService;
import dk.nsp.backgroundjob.ws.AbstractOperationsServlet;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;

import javax.servlet.annotation.WebServlet;

@WebServlet(name="RegistryTimeBasedCleanupServlet", urlPatterns={"/registry-timebased-cleanup/start"})
public class RegistryTimeBasedCleanupServlet extends AbstractOperationsServlet {
    @Autowired
    @Qualifier("registryTimeBasedCleanupService")
    private StackedOperationsService registryTimeBasedCleanupService;

    @Override
    protected StackedOperationsService getOperationsService() {
        return registryTimeBasedCleanupService;
    }
}
