package dk.nsp.xdscleanup.ws.status;

import dk.nsp.backgroundjob.service.StackedOperationsService;
import dk.nsp.backgroundjob.ws.AbstractOperationsStatusServlet;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;

import javax.servlet.annotation.WebServlet;

@WebServlet(name="RegistryStatus90CleanupStatusServlet", urlPatterns={"/registry-status90-cleanup/status"})
public class RegistryStatus90CleanupStatusServlet extends AbstractOperationsStatusServlet {
    @Autowired
    @Qualifier("registryStatus90CleanupService")
    private StackedOperationsService registryStatus90CleanupService;

    @Override
    protected StackedOperationsService getOperationsService() {
        return registryStatus90CleanupService;
    }
}
