package dk.nsp.xdscleanup.ws.status;

import dk.nsp.backgroundjob.service.StackedOperationsService;
import dk.nsp.backgroundjob.ws.AbstractOperationsStatusServlet;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;

import javax.servlet.annotation.WebServlet;

@WebServlet(name="RegistryTimeBasedCleanupStatusServlet", urlPatterns={"/registry-timebased-cleanup/status"})
public class RegistryTimeBasedCleanupStatusServlet extends AbstractOperationsStatusServlet {
    @Autowired
    @Qualifier("registryTimeBasedCleanupService")
    private StackedOperationsService registryTimeBasedCleanupService;

    @Override
    protected StackedOperationsService getOperationsService() {
        return registryTimeBasedCleanupService;
    }
}
