package dk.nsp.xdscleanup.openxds.dao;

import java.util.List;

public interface OpenXdsDao {
    /**
     * Given a list of document uniqueIds, return those which exist in the database.
     * @param documentUniqueIds
     * @return
     */
    List<String> findExistingDocumentUniqueIds(List<String> documentUniqueIds);

    /**
     * Delete the documents identified by the given list of document uniqueIds.
     * @param documentUniqueIds
     */
    void deleteDocuments(List<String> documentUniqueIds);
}
